Bug 1305295 - [abrt] gnome-shell: JSScript::markChildren(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: JSScript::markChildren(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d54402649bc5d9c3db653f4c710...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-06 14:34 EST by Juergen
Modified: 2016-12-20 13:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.49 KB, text/plain)
2016-02-06 14:34 EST, Juergen
no flags Details
File: cgroup (294 bytes, text/plain)
2016-02-06 14:34 EST, Juergen
no flags Details
File: core_backtrace (9.97 KB, text/plain)
2016-02-06 14:34 EST, Juergen
no flags Details
File: dso_list (25.98 KB, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details
File: environ (1.65 KB, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details
File: exploitable (100 bytes, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details
File: maps (104.43 KB, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details
File: mountinfo (4.10 KB, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details
File: open_fds (3.81 KB, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details
File: var_log_messages (1.66 KB, text/plain)
2016-02-06 14:35 EST, Juergen
no flags Details

  None (edit)
Description Juergen 2016-02-06 14:34:52 EST
Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: JSScript::markChildren
executable:     /usr/bin/gnome-shell
global_pid:     27121
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 JSScript::markChildren at /usr/src/debug/mozjs-24.2.0/js/src/jsscript.cpp:2731
 #1 js::gc::MarkChildren at /usr/src/debug/mozjs-24.2.0/js/src/gc/Marking.cpp:989
 #2 PushMarkStack at /usr/src/debug/mozjs-24.2.0/js/src/gc/Marking.cpp:767
 #3 MarkInternal<JSScript> at /usr/src/debug/mozjs-24.2.0/js/src/gc/Marking.cpp:188
 #4 JSFunction::trace at /usr/src/debug/mozjs-24.2.0/js/src/jsfun.cpp:479
 #5 fun_trace at /usr/src/debug/mozjs-24.2.0/js/src/jsfun.cpp:490
 #6 js::GCMarker::processMarkStackTop at /usr/src/debug/mozjs-24.2.0/js/src/gc/Marking.cpp:1413
 #7 js::GCMarker::drainMarkStack at /usr/src/debug/mozjs-24.2.0/js/src/gc/Marking.cpp:1466
 #8 DrainMarkStack at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:3779
 #9 IncrementalCollectSlice at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:4264
Comment 1 Juergen 2016-02-06 14:34:56 EST
Created attachment 1121707 [details]
File: backtrace
Comment 2 Juergen 2016-02-06 14:34:57 EST
Created attachment 1121708 [details]
File: cgroup
Comment 3 Juergen 2016-02-06 14:34:58 EST
Created attachment 1121709 [details]
File: core_backtrace
Comment 4 Juergen 2016-02-06 14:35:00 EST
Created attachment 1121710 [details]
File: dso_list
Comment 5 Juergen 2016-02-06 14:35:01 EST
Created attachment 1121711 [details]
File: environ
Comment 6 Juergen 2016-02-06 14:35:02 EST
Created attachment 1121712 [details]
File: exploitable
Comment 7 Juergen 2016-02-06 14:35:04 EST
Created attachment 1121713 [details]
File: limits
Comment 8 Juergen 2016-02-06 14:35:05 EST
Created attachment 1121714 [details]
File: maps
Comment 9 Juergen 2016-02-06 14:35:07 EST
Created attachment 1121715 [details]
File: mountinfo
Comment 10 Juergen 2016-02-06 14:35:08 EST
Created attachment 1121716 [details]
File: namespaces
Comment 11 Juergen 2016-02-06 14:35:09 EST
Created attachment 1121717 [details]
File: open_fds
Comment 12 Juergen 2016-02-06 14:35:10 EST
Created attachment 1121718 [details]
File: proc_pid_status
Comment 13 Juergen 2016-02-06 14:35:11 EST
Created attachment 1121719 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:25:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:29:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.